Bug 1430770 - Error when starting SmartState analysis on Host
Summary: Error when starting SmartState analysis on Host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Yuri Rudman
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: smartstate:host
: 1428758 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 15:01 UTC by Yuri Rudman
Modified: 2017-05-31 14:41 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (224.50 KB, image/png)
2017-03-09 15:05 UTC, Yuri Rudman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Yuri Rudman 2017-03-09 15:01:57 UTC
Description of problem:
For SmartState Analysis initiated on host task status stuck 'Running' and state never going to 'Finished' 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. navigate to Compute -> Infrastructure -> Hosts
2. select any host and click on Configuration -> Perform SmartState Analysis


Actual results:
on 'All Other Tasks` screen (under EVM - >Tasks) record representing started SmartState Analysis stuck in Running Status with message 'Refreshing Log Information'
and
there is ERROR in evm.log:
/opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/gems/activesupport-5.0.2/lib/active_support/dependencies.rb:293:in `require': cannot load such file -- HostScanProfile (LoadError)
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/gems/activesupport-5.0.2/lib/active_support/dependencies.rb:293:in `block in require'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/gems/activesupport-5.0.2/lib/active_support/dependencies.rb:259:in `load_dependency'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/gems/activesupport-5.0.2/lib/active_support/dependencies.rb:293:in `require'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/metadata/ScanProfile/ScanProfilesBase.rb:10:in `get_class'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/metadata/ScanProfile/ScanProfilesBase.rb:16:in `scan_profile_class'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/metadata/ScanProfile/ScanProfilesBase.rb:28:in `block in initialize'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/metadata/ScanProfile/ScanProfilesBase.rb:28:in `collect'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/metadata/ScanProfile/ScanProfilesBase.rb:28:in `initialize'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-providers-vmware-8f61a0171035/app/models/manageiq/providers/vmware/infra_manager/host_esx.rb:144:in `new'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-providers-vmware-8f61a0171035/app/models/manageiq/providers/vmware/infra_manager/host_esx.rb:144:in `refresh_logs'
	from /var/www/miq/vmdb/app/models/host.rb:1474:in `block (2 levels) in scan_from_queue'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
	from /var/www/miq/vmdb/app/models/host.rb:1474:in `block in scan_from_queue'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
	from /opt/rubies/ruby-2.3.1/lib/ruby/gems/2.3.0/bundler/gems/manageiq-gems-pending-a705d07571e3/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
	from /var/www/miq/vmdb/app/models/host.rb:1390:in `scan_from_queue'




Expected results:


Additional info:

Comment 2 Yuri Rudman 2017-03-09 15:05:06 UTC
Created attachment 1261618 [details]
screenshot

Comment 4 Niyaz Akhtar Ansari 2017-03-22 06:40:25 UTC
SmartState Analysis works fine on Hosts.
Verified in Version 5.8.0.7.20170321164727_1c97ccd

Comment 5 Adam Grare 2017-03-23 20:10:19 UTC
*** Bug 1428758 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2017-05-31 14:41:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.